package company_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CompanyauthCancelRequest struct {
	// <ext>core:true;format:string</ext> 【法人单位id】法人单位id 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号>第三方业务系统法人单位id。
	Id *int64 `json:"id,omitempty"`
	// <ext>core:true</ext> 【法人单位名称】法人单位名称 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号>第三方业务系统法人单位id。
	Name string `json:"name,omitempty"`
	// <ext>core:true</ext> 【统一社会信用代码/工商注册号】统一社会信用代码/工商注册号 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号>第三方业务系统法人单位id。
	RegisterNo string `json:"registerNo,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统法人单位id】第三方业务系统法人单位id 【传参】 参数必传其一，传入多个时只按最高优先级查询，优先级为法人单位id>法人单位名称>统一社会信用代码/工商注册号>第三方业务系统法人单位id。
	OpenCompanyId string `json:"openCompanyId,omitempty"`
}

func (obj CompanyauthCancelRequest) GetUrl() string {
	return "/companyauth/cancel"
}

func (obj CompanyauthCancelRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("id", obj.Id)
	parameter.AddParam("name", obj.Name)
	parameter.AddParam("registerNo", obj.RegisterNo)
	parameter.AddParam("openCompanyId", obj.OpenCompanyId)
	return parameter
}
